﻿using C1.Web.Wijmo.Controls.C1ComboBox;
using C1.Web.Wijmo.Controls.C1GridView;
using GridViewIntro.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GridViewIntro
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            
            if(!IsPostBack && IsCallback)
            {
                C1GridView1.DataSource = GetDataTable();
                C1GridView1.DataBind();
            }
            if (!IsPostBack)
            {
                C1GridView1.DataSource = GetDataTable();
                C1GridView1.DataBind();
            }
            
        }
        public DataTable GetDataTable()
        {
            DataTable dt;
            if (Session["S030dt"] != null)
            {
                dt = Session["S030dt"] as DataTable;
            }
            else
            {
                dt = SampleData.GetTable(0, 50);
                Session["S030dt"] = dt;
            }
            return dt;
        }

        protected void chkFax_CheckedChanged(object sender, EventArgs e)
        {
            C1GridViewDataRow row= (sender as CheckBox).BindingContainer as C1GridViewDataRow;
            var rowIndex = row.DataItemIndex;
            var col1val = C1GridView1.Rows[rowIndex].Cells[0].Text;
            var isChecked = (sender as CheckBox).Checked;
            if (isChecked)
            {
                ScriptManager.RegisterStartupScript(this, GetType(), "Popupwarnings1", "alertCheckBox("+rowIndex+");", true);
            }
            else
            {
                ScriptManager.RegisterStartupScript(this, GetType(), "Popupwarnings1", "falseAlert("+rowIndex+");", true);
            }
        }

        protected void C1GridView1_ColumnGrouped(object sender, C1GridViewColumnGroupedEventArgs e)
        {
            C1GridView1.DataSource = GetDataTable();
            C1GridView1.DataBind();
        }
    }
}